/*
	Vertris v0.3.2
	Copyright (C) 2006 - 2007, Andrs Rassol
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#define WIDTH  640
#define HEIGHT 480

#define VERTRIS_W 10
#define VERTRIS_H 20

#define VERTROMINOS 7

#define SQUARE_SIZE   20
#define MAX_VERTROMINO  4

#define BOARD_X (SCREEN_W / 2 - VERTRIS_W * SQUARE_SIZE / 2)
#define BOARD_Y (SCREEN_H / 2 + VERTRIS_H * SQUARE_SIZE / 2)

#define V_SPEED 400
#define H_SPEED 150

#define MAX_HISCORES 10
#define NAME_LENGTH 9

typedef struct
{
	char shape[MAX_VERTROMINO][MAX_VERTROMINO], type, dir;
	int x, y;
} Vertromino;
